/*************************
 *
 * NumericItem.h
 *
 *  class definition for numeric items.
 *  inherits class OutlineItem
 *
 *  This file is part of Prozect.
 *  Copyright (C) 2003 Robert T. Miller
 *  
 *  Prozect is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *  
 *  Prozect is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *  
 *  You should have received a copy of the GNU General Public License
 *  along with Prozect; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *  
 *************************/
#ifndef NUMERICITEM_H
#define NUMERICITEM_H

#include "OutlineItem.h"
#include "pmRes.h"

#include <qdialog.h>
#include <qlineedit.h>
#include <qtoolbar.h>

class NumericItem : public OutlineItem {
 public:
  NumericItem(Outline *list, QString &text);
  NumericItem(OutlineItem *parent, QString &text);
  ~NumericItem();

  // specific to Numeric item
  int getNumerator();
  int getDenominator();
  void setNumerator(int);
  void setDenominator(int);

  // re-implemented from OutlineItem

  void itemOutput(QTextStream& out);

  // relevant for Completion or Progress items
  virtual void updateBar();

 private:
  int numerator;
  int denominator;
  friend QTextStream& operator<<(QTextStream& out, NumericItem* node);
  pmResource *pmr;

};

#endif
